View Single Post
10 Apr 2012  
M1GU31

Windows 10 64bit Technical Preview
 
 

some of my games ask for netframework 4.0 to be installed to run um not sure how it goes with other programs. Pretty sure other programs might ask for it.
My System SpecsSystem Spec